WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] "Please update to a modern browser" (9 posts)

  1. Granola
    Member
    Posted 1 year ago #

    Hi,

    I just converted a site to WP and now it directs to a page that says, "Please update to a modern browser...If you don't care click here" on certain old AND NEW browsers. This will drive visitors away. How do I stop WP from doing this?

    Thank you.

  2. Andrew
    Forum Moderator
    Posted 1 year ago #

    Which theme are you using?

  3. Granola
    Member
    Posted 1 year ago #

    Warp Master Theme by YOOtheme

  4. Pioneer Valley Web Design
    Member
    Posted 1 year ago #

    Please explain your understanding of 'old' and 'new' browsers...it is the browser version that matters...old browser versions are insecure and you would be best to instruct your users to update...review browser stats online and you will see that very few now use these very old versions...so no great loss anyway...

  5. ClaytonJames
    Member
    Posted 1 year ago #

    @Granola

    It's a built in plugin function added as a feature by YOOtheme. I believe it's because they have ended support for IE6 in all of their product.

    Look in /yoo_master_wp/warp/systems/wordpress/helpers/system.php

    Around line 299 you will see a function for outdated browser warnings. I'm not 100% sure, but perhaps simply commenting out that function will resolve the issue.

    Don't forget to make a backup first, just in case it doesn't go as expected.

    [edit] I might also be horribly, terribly wrong, so that's the best reason to make a backup first... Haha! :-)

  6. Granola
    Member
    Posted 1 year ago #

    That worked. Thank you!

  7. ClaytonJames
    Member
    Posted 1 year ago #

    Nice... You're welcome!

  8. Pioneer Valley Web Design
    Member
    Posted 1 year ago #

    Thanks for spending so much time with this OP and a custom theme tonight, Clayton.

  9. WPEngine_mike
    Member
    Posted 1 year ago #

    Hey guys just wanted to pop in here and mention that the YooThemes settings has a toggle for this so no need to back up or touch code. This screenshot should help.

    Just turn that setting to 'no' and hit save. This is a must if your site utilizes server side caching. You will find that once this error message gets grabbed by cache it serves it to everyone, even users with newer browsers.

Topic Closed

This topic has been closed to new replies.

About this Topic